	subroutine new_i0_term

	include 'frills_sources:function.inc'

	real*8		cal,dens,rho,rp,phi,gamma,moment,bkgd
	real*8		a,b,c,d,e,f,g,h,pi

	cal=p(1)
	dens=p(2)
	rho=p(3)
	rp=p(4)
	phi=p(5)
	gamma=p(6)
	moment=p(7)
	bkgd=p(8)

	pi=3.141592654

	do j=1,nv

	   a=x(j)*x(j)
	   b=moment*moment
	   c=rho*rho
	   d=gamma*gamma
	   e=dens*dens
	   f=cal*6.0E-22*pi*c*phi*d
	   g=rp*a*e
	   h=dexp(-1.*a*b)
	   ycal(j)=((f/g)*h)+bkgd
	end do

	return
	end
